bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#24682: Emacs 25 from GIT build issue under Ubuntu 16.10


From: Cesar Quiroz
Subject: bug#24682: Emacs 25 from GIT build issue under Ubuntu 16.10
Date: Sat, 15 Oct 2016 22:31:46 -0700

-no-pie versus -nopie

There was something in the release notes about -no-pie being the standard negation of -pie, while -nopie was introduced (by Debian?) to deal with the issue.

Relevant snippet from config.log:

configure:31624: checking whether gcc accepts -nopie
configure:31644: gcc -o conftest -no-pie      -nopie conftest.c   >&5 
gcc: error: unrecognized command line option '-nopie'; did you mean '-no-pie'?
configure:31644: $? = 1


--César

On Sat, Oct 15, 2016 at 9:51 PM, Paul Eggert <address@hidden> wrote:
On 10/15/2016 12:56 AM, Eli Zaretskii wrote:
This is bug#24682, please follow up there.

configure.ac on emacs-25 knows about this problem, and attempts to build Emacs with -nopie. Please investigate why this is not working on Ubuntu 16.10. I assume './configure' is outputting a string like "checking whether gcc accepts -nopie... no"; why is that? Try looking in config.log near the string "accepts -nopie".

As noted in configure.ac, this problem has occurred before; see Bug#18784 and Bug#20338. Possibly we merely need to tweak configure.ac to pacify Ubuntu's variant of GCC.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]